import { AfterContentInit, ElementRef, OnDestroy, OnInit, QueryList } from '@angular/core';
import { MdButton } from '@angular/material';
import { NguiOverlayManager } from '@ngui/overlay';
import { Subscription } from 'rxjs';
import { NgxMaterialStateComponent } from './state.component';
import { NgxMaterialWindowService } from './window.service';
export declare class NgxMaterialWindowComponent implements OnInit, OnDestroy, AfterContentInit {
    private overlayManager;
    private windowService;
    title: string;
    stateComponents: QueryList<NgxMaterialStateComponent>;
    card: ElementRef;
    spinnerWrap: ElementRef;
    reloadBtn: MdButton;
    overlayId: string;
    overlaySubject: Subscription;
    constructor(overlayManager: NguiOverlayManager, windowService: NgxMaterialWindowService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    setActiveState(stateName: string): void;
    showOverlay(event?: Event): void;
}
